"""map_reduce_prompts.py"""

from langchain import PromptTemplate

# pylint: disable=line-too-long
_MAP_PROMPT_STRING_TEMPLATE = """Use the following portion of a long document to see if any of the text is relevant to answer the question.
{context}
Question: {question}
Relevant text, if any:"""

# pylint: disable=line-too-long
_REDUCE_PROMPT_STRING_TEMPLATE = """Given the following extracted parts of a long document and a question, create a final answer.
If you don't know the answer, just say that you don't know. Don't try to make up an answer.

QUESTION: {question}
=========
{summaries}
=========
Answer:"""

MAP_REDUCE_MAP_PROMPT = PromptTemplate(
    template=_MAP_PROMPT_STRING_TEMPLATE,
    input_variables=[
        "context",
        "question",
    ],
)

MAP_REDUCE_REDUCE_PROMPT = PromptTemplate(
    template=_REDUCE_PROMPT_STRING_TEMPLATE,
    input_variables=[
        "summaries",
        "question",
    ],
)
