"""map_reduce_prompts.py"""

from langchain import PromptTemplate


_REFINE_PROMPT_TEMPLATE = (
    "The original question is as follows: {question}\n"
    "We have provided an existing answer: {existing_answer}\n"
    "We have the opportunity to refine the existing answer"
    "(only if needed) with some more context below.\n"
    "------------\n"
    "{context_str}\n"
    "------------\n"
    "Given the new context, refine the original answer to better "
    "answer the question. "
    "If the context isn't useful, return the original answer."
    # "Do not consider the existing answer as part of the context from the underlying text."
)


_INITIAL_QA_TEMPLATE = (
    "Context information is below. \n"
    "---------------------\n"
    "{context_str}"
    "\n---------------------\n"
    "Given the context information and not prior knowledge, "
    "answer the question: {question}\n"
    "then, output the relevant context as Context: <context here>"
)

MAP_REFINE_REFINE_PROMPT = PromptTemplate(
    input_variables=["question", "existing_answer", "context_str"],
    template=_REFINE_PROMPT_TEMPLATE,
)

MAP_REFINE_MAP_PROMPT = PromptTemplate(
    input_variables=["context_str", "question"],
    template=_INITIAL_QA_TEMPLATE,
)

# chain = load_qa_chain(OpenAI(temperature=0), chain_type="refine", return_refine_steps=True,
#                      question_prompt=initial_qa_prompt, refine_prompt=refine_prompt)
# chain({"input_documents": docs, "question": query}, return_only_outputs=True)
